
public class Class396 {

   public short[] aShortArray4880;
   public int[] anIntArray4881;
   public short[] aShortArray4882;
   public long aLong4883;
   public static int anInt4884;


   public Class396(long var1, int[] var3, short[] var4, short[] var5) {
      this.aLong4883 = 7467713779253192983L * var1;
      this.anIntArray4881 = var3;
      this.aShortArray4882 = var4;
      this.aShortArray4880 = var5;
   }

   public Class396(Class411 var1, boolean var2) {
      if(var2) {
         this.anIntArray4881 = new int[var1.anIntArray5031.length];
         System.arraycopy(var1.anIntArray5031, 0, this.anIntArray4881, 0, this.anIntArray4881.length);
      } else {
         this.anIntArray4881 = new int[var1.anIntArray5032.length];
         System.arraycopy(var1.anIntArray5032, 0, this.anIntArray4881, 0, this.anIntArray4881.length);
      }

      if(var1.aShortArray5036 != null) {
         this.aShortArray4882 = new short[var1.aShortArray5036.length];
         System.arraycopy(var1.aShortArray5036, 0, this.aShortArray4882, 0, this.aShortArray4882.length);
      }

      if(var1.aShortArray5080 != null) {
         this.aShortArray4880 = new short[var1.aShortArray5080.length];
         System.arraycopy(var1.aShortArray5080, 0, this.aShortArray4880, 0, this.aShortArray4880.length);
      }

   }

   static final void method6755(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      if(null == var3.aString1455) {
         var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = "";
      } else {
         var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var3.aString1455;
      }

   }

   static final void method6756(Class225_Sub14_Sub3 var0, Class508 var1, int var2) {
      var1.anIntArray6027[(var1.anInt6003 += 98312473) * -937710807 - 1] = Class47.method1178(var0, -1312661273);
      var1.anObjectArray6004[(var1.anInt6005 += -46848683) * 639741949 - 1] = Class545_Sub3.method15395(var0, -1180156786);
      var1.anObjectArray6004[(var1.anInt6005 += -46848683) * 639741949 - 1] = Class47.method1177(var0, (byte)91);
      var1.anObjectArray6004[(var1.anInt6005 += -46848683) * 639741949 - 1] = Class389.method6689(var0, (byte)113);
   }

   public static void method6757(int var0, int var1, int var2, int var3) {
      Class118_Sub16.method13220(new Class432_Sub1(var0, var1, var2, -195073657 * client.anInt7686, -2043157291 * Class338.aClass247_4364.anInt2956, 788901203 * Class338.aClass247_4364.anInt2945, Class338.aClass247_4364.method4395(1193103746), Class338.aClass247_4364.method4394(1960106985), Class17.aClass257_183.method4624((byte)-40)), (short)699);
   }
}
